org.jboss.jca.core.api.connectionmanager.pool

## Class PoolConfiguration

- java.lang.Object
- - org.jboss.jca.core.api.connectionmanager.pool.PoolConfiguration

-     public class PoolConfiguration
      extends java.lang.Object

  The pool configuration.
  Author:
    Gurkan Erdogdu, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolConfiguration()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBackgroundValidationMillis()` Get the background validation millis setting
    `long` | `getBlockingTimeout()`
    `int` | `getIdleTimeoutMinutes()`
    `int` | `getInitialSize()`
    `int` | `getMaxSize()`
    `int` | `getMinSize()`
    `boolean` | `isBackgroundValidation()`
    `boolean` | `isFair()`
    `boolean` | `isPrefill()`
    `boolean` | `isStrictMin()`
    `boolean` | `isUseFastFail()`
    `boolean` | `isValidateOnMatch()`
    `void` | `setBackgroundValidation(boolean v)`
    `void` | `setBackgroundValidationMillis(long v)` Set the background validation millis setting
    `void` | `setBlockingTimeout(long blockingTimeout)`
    `void` | `setFair(boolean useFair)`
    `void` | `setIdleTimeoutMinutes(int idleTimeout)`
    `void` | `setInitialSize(int initialSize)`
    `void` | `setMaxSize(int maxSize)`
    `void` | `setMinSize(int minSize)`
    `void` | `setPrefill(boolean prefill)`
    `void` | `setStrictMin(boolean strictMin)`
    `void` | `setUseFastFail(boolean useFastFail)`
    `void` | `setValidateOnMatch(boolean v)`
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolConfiguration

          public PoolConfiguration()

      Constructor

  - ### Method Detail

    - #### getMinSize

          public int getMinSize()

      Returns:
        the minSize

    - #### setMinSize

          public void setMinSize(int minSize)

      Parameters:
        `minSize` - the minSize to set

    - #### getInitialSize

          public int getInitialSize()

      Returns:
        the initialSize

    - #### setInitialSize

          public void setInitialSize(int initialSize)

      Parameters:
        `initialSize` - the initialSize to set

    - #### getMaxSize

          public int getMaxSize()

      Returns:
        the maxSize

    - #### setMaxSize

          public void setMaxSize(int maxSize)

      Parameters:
        `maxSize` - the maxSize to set

    - #### getBlockingTimeout

          public long getBlockingTimeout()

      Returns:
        the blockingTimeout

    - #### setBlockingTimeout

          public void setBlockingTimeout(long blockingTimeout)

      Parameters:
        `blockingTimeout` - the blockingTimeout to set

    - #### getIdleTimeoutMinutes

          public int getIdleTimeoutMinutes()

      Returns:
        the idleTimeout

    - #### setIdleTimeoutMinutes

          public void setIdleTimeoutMinutes(int idleTimeout)

      Parameters:
        `idleTimeout` - the idleTimeout to set

    - #### isValidateOnMatch

          public boolean isValidateOnMatch()

      Returns:
        Should validate on match validation be performed

    - #### setValidateOnMatch

          public void setValidateOnMatch(boolean v)

      Parameters:
        `v` - Should validate on match validation be performed

    - #### isBackgroundValidation

          public boolean isBackgroundValidation()

      Returns:
        Should background validation be performed

    - #### setBackgroundValidation

          public void setBackgroundValidation(boolean v)

      Parameters:
        `v` - Should background validation be performed

    - #### getBackgroundValidationMillis

          public long getBackgroundValidationMillis()

      Get the background validation millis setting
      Returns:
        The value

    - #### setBackgroundValidationMillis

          public void setBackgroundValidationMillis(long v)

      Set the background validation millis setting
      Parameters:
        `v` - The value

    - #### isPrefill

          public boolean isPrefill()

      Returns:
        the prefill

    - #### setPrefill

          public void setPrefill(boolean prefill)

      Parameters:
        `prefill` - the prefill to set

    - #### isStrictMin

          public boolean isStrictMin()

      Returns:
        the strictMin

    - #### setStrictMin

          public void setStrictMin(boolean strictMin)

      Parameters:
        `strictMin` - the strictMin to set

    - #### isFair

          public boolean isFair()

      Returns:
        the fair

    - #### setFair

          public void setFair(boolean useFair)

      Parameters:
        `useFair` - the fair value

    - #### isUseFastFail

          public boolean isUseFastFail()

      Returns:
        the useFastFail

    - #### setUseFastFail

          public void setUseFastFail(boolean useFastFail)

      Parameters:
        `useFastFail` - the useFastFail to set

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)